net.fortuna.ical4j.transform

## Class Transformer

- java.lang.Object
- - net.fortuna.ical4j.transform.Transformer

Direct Known Subclasses:
  PublishTransformer

    public abstract class Transformer
    extends Object

$Id$ Created: 23/09/2004 Base class of calendar transformations.

Author:
  benfortuna

### Constructor Summary

Constructors
Constructor and Description
`Transformer()`

### Method Summary

Methods
`abstract Calendar` `transform(Calendar calendar)` Transforms the specified calendar according to the implementation of this method.
`Calendar` `transform(Component component)` Transforms the specified component according to the transformer implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transformer

    public Transformer()

### Method Detail

#### transform

    public abstract Calendar transform(Calendar calendar)

Transforms the specified calendar according to the implementation of this method. By definition this method will modify the existing calendar instance and return it for convenience.

Parameters:
  `calendar` - a calendar to transform
Returns:
  a transformed calendar

#### transform

    public final Calendar transform(Component component)

Transforms the specified component according to the transformer implementation.

Parameters:
  `component` - a component to transform
Returns:
  a calendar containing the transformed component